Questions tagged [patches]

Questions about the official Magento Security patches (SUPEE-xxxx)

Filter by
Sorted by
Tagged with
0
votes
0answers
18 views

SUPEE-11314v2: Potential Issues? [duplicate]

Magento released SUPEE-11314 on Apr 28, followed by an updated version SUPEE-11314v2 on May 12. They mention you should revert 11314, if you already applied it, before installing v2. Description of ...
0
votes
0answers
9 views

Cannot install PRODSECBUG-2198 for magento2.2.6

I am trying to install PRODSECBUG-2198 to a magento 2.2.6 site. But I am not able to successfully install it. I have tried this.- PRODSECBUG-2198 - Installation Steps But "3.Move the patch file to ...
6
votes
9answers
1k views

Security Patch SUPEE-11314 - Possible problems?

Magento have released new Magento 1 versions 1.14.4.5 1.9.4.5 The patch number is SUPEE-11314 and is available at https://magento.com/tech-resources/download A summary (covering both M1 and M2 so ...
0
votes
0answers
17 views

Magento 1.9.1.0 patches

Have inherited a 1.9.1 Magento site (the plan is to upgrade asap) but in the meantime just want the existing site to continue as is but installing some missing patches. Don't have developer resources ...
0
votes
0answers
16 views

Creating patch in Magento 2 issue

I am trying to make a patch for a private method from the core of the magento/module-configurable-product module. I followed the instructions from here: https://magento.stackexchange.com/a/256580/6204 ...
1
vote
1answer
22 views

What's security-only patch release and how to apply it?

I noticed we have security-only patch releases, what's it and how to use it? An example of these security-only patch releases, instead of having Magento 2.3.2 my client has installed Magento 2.3.3-p1....
0
votes
2answers
17 views

Magento 2 site upgrade pending or patches

I have a magento2 website on which i need to check if there is any upgrade pending or patches , how would i know about it , or how can i check it ? It has also fishpig wp module to connect wp so i to ...
0
votes
0answers
19 views

I have created datapatch to delete products with specific value on attribute manufacturer

I have created datapatch to delete products with specific value on attribute manufacturer. I want to delete all products whose manufacturer is LG , my datapatch looks like that <?php declare(...
0
votes
0answers
37 views

Magento 1.9.2.3 upgrade to 1.9.4.4 does require installation of patches before upgrading to 1.9.4.4?

I am trying to upgrade current version of Magento 1.9.2.3 to Magento 1.9.4.4. On magereport.com says there are 3 patches were not installed in current magento version 1.9.2.3. So how should I process ?...
1
vote
1answer
48 views

Magento 2 Outdated JS Libraries - Failed. Outdated AngularJS library found Issue

We are using magento ver 2.2.4 and after run magento security scan tool, In generated report we found following error:- Outdated JS Libraries - Failed.Outdated AngularJS library found, response ...
1
vote
0answers
43 views

SUPEE 11219 Error “Reversed (or previously applied) patch detected!”

I've tried installing this patch on my Magento (1.9.4.3), I'm not sure what to do, here is the full message: Checking if patch can be applied/reverted successfully... ERROR: Patch can't be applied/...
2
votes
2answers
71 views

Magento 2.3.4 upgarde returns some security updates and features notification

I'm working on Magento2.3.3. So I have planned to upgrade the Magento version from 2.3.3 to 2.3.4. After the successful upgrade, the magento version was changed to 2.3.4. But I got some notification ...
0
votes
1answer
74 views

How to update existing CMS block content using data patches?

I have updated content for the existing cms page by using data patches in Magento 2.3.3, but the same approach not working for CMS block. <?php namespace Test\CmsExport\Setup\Patch\Data; use ...
1
vote
0answers
31 views

Composer update error

I'm using Magento2.3 and when I am running composer update command, I got following error message: Could not apply patch! Skipping. The error was: Cannot apply patch patches/PRODSECBUG-2198-2.2-...
0
votes
0answers
48 views

Salse order not open adminside in magento 1.9?

Guy's, The Salse order view page can't show on the admin side. I have installed the security patch 10975, 11155, 11219. then i will check my admin side so i can not see order view page. - https://...
0
votes
0answers
12 views

Magento EE 1.14 security patch Hunk #1 FAILED at 68

I am trying to apply patches to Magento EE 1.14 version but i am facing following issue checking file app/design/frontend/rwd/default/template/customer/form/changepassword.phtml Hunk #1 FAILED at 43....
0
votes
1answer
42 views

How to generate a pre-patched version of Magento 1 SUPEE patch?

Some people like Meetanshi has pre-patched version of Magento 1 SUPEEs. How they generate those files? This is very useful for people (Like me) who are not able to apply patches via SSH from .sh ...
0
votes
1answer
63 views

How to apply github commit patches in Magento 2 using composer?

I've created a new module with a composer.json file: "extra": { "composer-exit-on-patch-failure": true, "patches": { "magento/framework": { "TransportBuilder ...
-1
votes
2answers
31 views

Need magento 1.9.3.3 to apply patch

I want to know list of patches for my website which is in 1.9.3.3 version of magento please suggest.
0
votes
1answer
348 views

Could not apply patch! Skipping. The error was: Cannot apply patch XXXXXXXXXX.diff

I'm installing a code base which is created by others, then i remove the old when i run "composer install" and encounter show many this kind of error message. Anyone know what is the problem?
0
votes
2answers
103 views

SUPEE Patch 11219 not available for 1.7.0.2 Magento1

After so many days, Magento released patches for less than 1.9, But I could not see the patch for version 1.7.0.2 Does anyone any information when it will be available or will it be available?
2
votes
0answers
55 views

How do i apply path APPSEC-1679 for Magento 2.3.1 via composer

Could you please provide the clear steps to apply the patch via composer for Magento 2.3.1 version. APPSEC-1679 - API ACL - Failed. API ACL Patch not detected
0
votes
2answers
660 views

EmailMessageInterface backward compatibility issue patch for Magento 2.3.3

Has anyone had success with applying the following patch https://magento.com/tech-resources/download#download2333 I think process is composer require cweagans/composer-patches Path to patch: "...
0
votes
1answer
203 views

SUPEE 11219 not available for 1.9.2.x

I have noticed that the latest SUPEE 11219 is not available for Magento 1.9.2.x via Magento you can only download for 1.9.3 and up, even thought the affected versions are Magento Open Source prior to ...
0
votes
2answers
308 views

Can't install SUPEE-11155 or SUPEE-11219

This is what I get if I try to install SUPEE-11155 with $ ./PATCH_SUPEE-11155_CE_1.9.4.0_v4-2019-08-01-04-08-31.sh` Output: Checking if patch can be applied/reverted successfully... ERROR: Patch ...
0
votes
0answers
59 views

Security patch 11219 risk error for Magento 1.9.2.4

Security patch 11219 risk Error for Magento 1.9.2.4 I'm using Magento 1.9.2.4 version in the Security patch error(magereport.com) But in the Magento Security patch not have this version (https://...
9
votes
11answers
8k views

SUPEE-11219 Potential issues?

Magento just sent out an email about a new security patch (SUPEE-11219). https://magento.com/security/patches/supee-11219 Affected versions: Magento Commerce 1.9.0.0-1.14.4.1 Magento Open Source 1....
0
votes
0answers
15 views

What are the chhanges to keep in mind while applying Magento php7.2 patch in Magento 1.9?

What are the possible things to keep in mind while applying compatible patch for PHP7.2 in magento1.9?
0
votes
1answer
42 views

Why SUPEE-10888 is requested on magento 1.9.4?

I scan my website on magentary.com, it says "SUPEE-10888: Vulnerable, immediate attention required. Patch not detected." but the version is 1.9.4. Anyone knows why?
2
votes
0answers
29 views

M2 early patches are not available for some auth keys

Magento sends an email to vendors before announcing officially about security patch to provide vendors possibility to upgrade/patch M2 beforehand. We have two Commerce Edition projects with different ...
0
votes
0answers
78 views

Magento security report We were unable to check for API ACL

I scanned my site from the Magento Security . The report showed We were unable to check for API ACL (APPSEC-1679) Magento version 2.3.2 How to solve this?
0
votes
1answer
86 views

Magento 2.2.5 Security Patch Issue

Was there any solution to this? - Magento 2.2.2 Security Patch Issue I have the same issue with PRODSECBUG-2233 on Magento 2.2.5 - Installed via composer and using composer version of patch. When I ...
0
votes
1answer
48 views

SUPEE-5994 - Failed.Admin login screen detected (APPSEC-977)

I'm running the latest version of Magento, 1.9.4.2, which includes the patch SUPEE-5994. Even with that, I'm still getting this notice their Security Scanner: SUPEE-5994 - Failed.Admin login screen ...
0
votes
1answer
50 views

How to secure our Magento store from hackers?

I have read somewhere that hackers are making target to e-commerce sites to hack. As we know Magento provides some inbuilt security features but still wants to know more regarding security. Also, ...
0
votes
1answer
37 views

How I can add security patch for magento 2.2.6 without updating magento

I have Magento 2.2.6 I want to update security patch I have lost my server databases (maybe SQL injection) my questions 1)How to update security patches? 2)Is it will helpful? 3)Is ...
0
votes
2answers
353 views

Magento 2, XSS Patch not detected (APPSEC-2143)

In Magento security scan I got the below message for my Magento instance: XS Vulnerability - Failed. XSS Patch not detected (APPSEC-2143) I am using Magento 2.2.3 How could I resolve this? Is ...
1
vote
1answer
109 views

Magento 2 Open Source End of Life Timeline

Does anybody have the timeframe for end of life support for Magento 2 Open Source? All I've been able to find from an official source is this (https://magento.com/legal/terms/enterprise-agreement#...
0
votes
0answers
22 views

Migration from Magento 2.3.0 to 2.3.2 will patches apply automatically?

I have recently upgraded the Magento 2.3.0 to 2.3.2 EE version but I have a doubt that security patches will automatically installed while upgrading or I need to install manually? Can anyone help ...
0
votes
1answer
148 views

SUPEE-11155 for magento 1.9.3.10

I don't see the patch SUPEE-11155 for Magento version 1.9.3.10 in the Magento site https://cl.ly/c96fd50d706d . Is this patch not needed for 1.9.3.10? I tried to install for version 1.9.3.9 and 1.9.4....
2
votes
0answers
61 views

Apply a security patch

I need to apply some security patches to a Magento 2.2.7 installation but I don't want to upgrade to 2.2.8 or 2.2.9 Is it possible to apply a patch (e.g. PRODSECBUG-2202: Security bypass via form ...
3
votes
1answer
41 views

Magento 2: Load patches or update

I'm aware that this probably isn't the first time this question has been answered, but I'm wondering what is the best approach to keeping my magento 2.3.1 install secure: Should I update to 2.3.2 or ...
1
vote
1answer
30 views

Where is the Magento 1.x PHP 5.4 patch?

I'm trying to download the PHP 5.4 patch for Magento 1.x CE but I cannot find it, I think this guide is out of date: https://devdocs.magento.com/guides/m1x/other/php5.4_patch.html
28
votes
20answers
10k views

Security Patch SUPEE-11155 - Possible issues?

Magento has released a new security patch for M1, and updates for M1 and M2. What common issues do you have to watch out for when applying this patch/upgrade? Magento 1 https://magento.com/security/...
3
votes
1answer
1k views

Error: DDL statements are not allowed in transactions while running setup:upgrade. Running Data Patch

Magento 2.3.1 After making the data patch @ following location vendor/ModuleName/Setup/Patch/Data/AddMyColumnPatch.php code given below for AddMyColumnPatch.php. When I run bin/magento setup:...
0
votes
2answers
115 views

How to patch Magento 2 Information Leakage scan result?

I scanned the Magento 2 site from the official magento scanner and here's the result. Any ideas on how and what specific patch to apply for this one? Thanks!
1
vote
1answer
57 views

Does Magento 2 have an app/etc/applied.patches.list file like Magento 1

Apologies if this is a duplicate. Searched SO and couldn't see that this has been asked before. In Magento 1 you have a app/etc/applied.patches.list file which is updated when applying security ...
1
vote
1answer
29 views

Magento 2 recommended approach to applying patches

So far had to apply patches through command line. Bugs me there is not version control for this as in some cases changing vendor folder contents which is ignored. More for accountability with time and ...
1
vote
1answer
92 views

Patch SUPEE 11086 Hunk #1 FAILED at 144

I want to apply the patch SUPEE 11086 on magento 1.7 store but it gives me the following error: Checking if patch can be applied/reverted successfully... ERROR: Patch can't be applied/reverted ...
0
votes
2answers
110 views

SUPEE-11086 Patch for Magento CE 1.9.3.9

as my question says, I need to know if there is the released of Magento Patch SUPEE-11086 for M1 versione 1.9.3.9.
1
vote
1answer
93 views

Patch PRODSECBUG-2198 for Magento Enterprise Cloud

it has been some time after my last experience with Magento 2 and I've been asked to install a security patch, as in the title. My problem is due to the fact that I've never used a cloud ...

1
2 3 4 5
13